{"openapi":"3.1.0","info":{"title":"Noota API","description":"![noota logo](https://cdn.prod.website-files.com/637f41b2e090ecf0cf47bcb8/65d23fc7b02225833a246183_Frame.svg)  \n    Welcome to the Noota API documentation!\n    ","termsOfService":"https://www.noota.io/terms","contact":{"name":"Noota","url":"https://www.noota.io/"},"version":"0.1.0"},"paths":{"/api/v1/transcript/{id}":{"get":{"summary":"Get Record Transcription","description":"Retrieve the transcript for a specific record by its ID.\n\nParameters:\n- id (str): The unique identifier of the record.\n\nReturns:\n- The transcript of the requested record.","operationId":"get_record_transcription_api_v1_transcript__id__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TranscriptResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/report/{id}":{"get":{"summary":"Get Record Report","description":"Retrieve a summary for a given record ID in the specified format.\n\nParameters:\n- id (str): The unique identifier for the record.\n- format (str): The format of the summary (\"html\" or \"plaintext\"). Default is \"html\".\n\nReturns:\n- Summary of the record in the specified format.","operationId":"get_record_report_api_v1_report__id__get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}},{"name":"format","in":"query","required":false,"schema":{"enum":["html","plaintext"],"type":"string","default":"html","title":"Format"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/record":{"get":{"summary":"Get All Recordings","description":"Retrieve a list of records including their ids based on the specified filters.\n\nParameters:\n- start_date (int, Optional): The Unix timestamp of the start date for the records.\n- end_date (int, Optional): The Unix timestamp of the end date for the records.\n- status (str, Optional): The status of the records to filter\n    (\"transcribed\", \"uploaded\", \"processing\", \"all\").\n- email (str, Optional): The email of the user to filter the records.\n- limit (int, Optional): The maximum number of records to return. Default is 10, value between 1 and 25\n- cursor (str, Optional): The cursor to paginate the records.\n\nReturns:\n- data - A paginated list of records based on the specified filters\n- next_cursor - The next cursor to paginate the next set of records\n- has_more - A boolean indicating if there are more records to paginate","operationId":"get_all_recordings_api_v1_record_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"start_date","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Start Date"}},{"name":"end_date","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"End Date"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"enum":["transcribed","uploaded","processing","all"],"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"email","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"email"},{"type":"null"}],"title":"Email"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":25,"minimum":1,"default":10,"title":"Limit"}},{"name":"cursor","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Cursor"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedRecordsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/record/{id}":{"delete":{"summary":"Delete Recording","description":"Delete a specific record based on its id\n\nParameters:\n    - id (str): The unique identifier of the record.\n\nReturns: An empty response with status code 204 if the delete is sucessful.","operationId":"delete_recording_api_v1_record__id__delete","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/record/{id}/file":{"get":{"summary":"Download Multimedia File","description":"Download the URL of the audio/video file used if available.\nThe link is a SAS URL that is valid for 24 hours.\n\nParameters:\n    - id (str): The unique identifier of the record.\n\nReturns: A 200 response with the audio/video file URL.","operationId":"download_multimedia_file_api_v1_record__id__file_get","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"Owner":{"properties":{"email":{"type":"string","title":"Email"}},"type":"object","required":["email"],"title":"Owner"},"PaginatedRecordsResponse":{"properties":{"data":{"items":{"$ref":"#/components/schemas/ShortReportResponse"},"type":"array","title":"Data"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Next Cursor"},"has_more":{"type":"boolean","title":"Has More"}},"type":"object","required":["data","next_cursor","has_more"],"title":"PaginatedRecordsResponse"},"Participant":{"properties":{"email":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Email"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"phone":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone"}},"type":"object","title":"Participant"},"ReportResponse":{"properties":{"id":{"type":"string","title":"Id"},"format":{"type":"string","title":"Format"},"title":{"type":"string","title":"Title"},"category":{"type":"string","title":"Category"},"content":{"type":"string","title":"Content"},"owner":{"$ref":"#/components/schemas/Owner"},"list_contacts":{"items":{"type":"string"},"type":"array","title":"List Contacts"},"meeting_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Meeting Url"}},"type":"object","required":["id","format","title","category","content","owner","list_contacts"],"title":"ReportResponse"},"ShortReportResponse":{"properties":{"id":{"type":"string","title":"Id"},"title":{"type":"string","title":"Title"},"owner":{"$ref":"#/components/schemas/Owner"},"list_contacts":{"items":{"type":"string"},"type":"array","title":"List Contacts"},"meeting_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Meeting Url"},"status":{"type":"string","enum":["transcribed","uploaded","processing"],"title":"Status"},"created_at":{"type":"integer","title":"Created At"}},"type":"object","required":["id","title","owner","list_contacts","status","created_at"],"title":"ShortReportResponse"},"TranscriptResponse":{"properties":{"id":{"type":"string","title":"Id"},"title":{"type":"string","title":"Title"},"duration":{"type":"integer","title":"Duration"},"participants":{"items":{"$ref":"#/components/schemas/Participant"},"type":"array","title":"Participants","default":[]},"transcription":{"$ref":"#/components/schemas/Transcription"},"owner":{"$ref":"#/components/schemas/Owner"}},"type":"object","required":["id","title","duration","transcription","owner"],"title":"TranscriptResponse"},"Transcription":{"properties":{"transcript":{"items":{"$ref":"#/components/schemas/TranscriptionItem"},"type":"array","title":"Transcript","default":[]}},"type":"object","title":"Transcription"},"TranscriptionItem":{"properties":{"speaker_id":{"type":"integer","title":"Speaker Id"},"speaker_name":{"type":"string","title":"Speaker Name"},"start":{"type":"number","title":"Start"},"end":{"type":"number","title":"End"},"text":{"type":"string","title":"Text"}},"type":"object","required":["speaker_id","speaker_name","start","end","text"],"title":"TranscriptionItem","description":"The speaker is sometimes an empty string. We transform it to 0 in that case."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"X-API-Key"}}}}